%define _disable_ld_no_undefined 1

%define major		1
%define libname		%mklibname freeradius %{major}
%define develname	%mklibname freeradius -d

%global __requires_exclude perl\\(DBI\\)

Summary:	High-performance and highly configurable RADIUS server
Name:		freeradius
Version:	3.2.7
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		https://www.freeradius.org/
Source0:	ftp://ftp.freeradius.org/pub/radius/%{name}-server-%{version}.tar.gz
Source1:	ftp://ftp.freeradius.org/pub/radius/%{name}-server-%{version}.tar.gz.sig
Source3:	freeradius.pam
Source5:	freeradius.logrotate
Source6:	freeradius.sysconfig
Source7:	freeradius.service
Source8:	freeradius.tmpfiles

# Fix certificate location
Patch0:		freeradius-3.2.4-ssl-config.patch

BuildRequires:	gdbm-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libiodbc)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(talloc)
BuildRequires:	libtool-devel
BuildRequires:	ykclient-devel
BuildRequires:	yubikey-devel
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	openssl
BuildRequires:	pam-devel
BuildRequires:	pcap-devel
BuildRequires:	perl-devel
BuildRequires:	postgresql-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(odbc)
# Samba must be version 4.2.1 or higher to use this feature
BuildRequires:	pkgconfig(wbclient)
# and somehow ntstatus.h ended up in samba-devel
BuildRequires:	pkgconfig(samba-util)

BuildRequires:	pkgconfig(zlib)
BuildRequires:	chrpath

# minimal version for ssl cert generation
Requires(post):	openssl
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1
Conflicts:	radiusd-cistron
# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}freeradius1 < 3.0.26-5

%description
The FreeRADIUS Server Project is a high-performance and highly configurable
GPL'd RADIUS server. It is somewhat similar to the Livingston 2.0 RADIUS
server, but has many more features, and is much more configurable.

%package -n	%{name}-krb5
Summary:	The Kerberos module for %{name}
Group:		System/Servers
Requires:	krb5-libs
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-krb5
The FreeRADIUS server can use Kerberos to authenticate users, and this module
is necessary for that.

%package -n	%{name}-ldap
Summary:	The LDAP module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

# ease upgrade mga9 -> mga10
Conflicts:	%{_lib}freeradius1 < 3.0.26-5

%description -n	%{name}-ldap
The FreeRADIUS server can use LDAP to authenticate users, and this module is
necessary for that.

%package -n	%{name}-postgresql
Summary:	The PostgreSQL module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-postgresql
The FreeRADIUS server can use PostgreSQL to authenticate users and do
accounting, and this module is necessary for that.

%package -n	%{name}-mysql
Summary:	The MySQL module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-mysql
The FreeRADIUS server can use MySQL to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-unixODBC
Summary:	The unixODBC module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-unixODBC
The FreeRADIUS server can use unixODBC to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-sqlite
Summary:	The sqlite module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-sqlite
The FreeRADIUS server can use sqlite to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{name}-yubikey
Summary:	The yubikey module for %{name}
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description -n	%{name}-yubikey
The FreeRADIUS server can use yubikey to authenticate users and do accounting,
and this module is necessary for that.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Development headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	freeradius-devel = %{version}-%{release}

%description -n	%{develname}
Development headers and libraries for %{name}.

%prep
%setup -q -n %{name}-server-%{version}
%patch -P0 -p1 -b .config

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
%serverbuild

export CFLAGS="$CFLAGS -fPIC -DLDAP_DEPRECATED"
export CXXFLAGS="$CXXFLAGS -fPIC -DLDAP_DEPRECATED"

%configure \
    --with-gnu-ld \
    --with-threads \
    --with-thread-pool \
    --with-system-libtool \
    --with-system-libltdl \
    --disable-static \
    --disable-openssl-version-check \
    --libdir=%{_libdir}/%{name} \
    --libexecdir=%{_libdir}/%{name} \
    --localstatedir=%{_var} \
    --with-logdir=%{_var}/log/radius \
    --disable-ltdl-install \
    --with-ltdl-lib=%{_libdir} \
    --with-ltdl-include=%{_includedir} \
    --with-radacctdir=%{_var}/log/radius/radacct \
    --with-raddbdir=%{_sysconfdir}/raddb \
    --with-static-modules="" \
    --with-experimental-modules \
    --with-large-files \
    --with-rlm-dbm-lib-dir=%{_libdir} \
    --with-rlm-eap-peap-lib-dir=%{_libdir} \
    --with-openssl-libraries=%{_libdir} \
    --with-rlm-ruby-include-dir=%{_includedir}/ruby \
    --with-rlm-krb5-lib-dir=%{_libdir} \
    --with-rlm-ldap-lib-dir=%{_libdir} \
    --with-rlm-ldap-include-dir=%{_includedir}/ldap \
    --with-mysql-include-dir=%{_includedir}/mysql \
    --with-mysql-lib-dir=%{_libdir}/mysql \
    --with-mysql-dir=%{_prefix} \
    --with-rlm-sql-postgresql-lib-dir=%{_libdir}/mysql \
    --with-rlm-sql-postgresql-include-dir=%{_includedir}/pgsql \
    --with-unixodbc-lib-dir=%{_libdir} \
    --with-unixodbc-dir=%{_prefix} \
    --with-rlm_python3 \
    --without-rlm_python \
    --without-rlm_eap_ikev2 \
    --without-rlm_eap_tnc \
    --without-rlm_sql_db2 \
    --without-rlm_sql_firebird \
    --without-rlm_sql_freetds \
    --without-rlm_sql_iodbc \
    --without-rlm_sql_oracle \
    --without-rlm_sql_sybase

# enable this one with a hack...
perl -pi \
    -e "s|^TARGET.*|TARGET=rlm_dbm|g;" \
    -e "s|^SRCS.*|SRCS=rlm_dbm.c|g;" \
    -e "s|^RLM_UTILS.*|RLM_UTILS=rlm_dbm_parser rlm_dbm_cat|g;" \
    -e "s|^RLM_CFLAGS.*|RLM_CFLAGS=-I%{_includedir}/gdbm -DHAVE_GDBM_NDBM_H|g;" \
    -e "s|^RLM_LIBS.*|RLM_LIBS=-L%{_libdir} -lgdbm -lgdbm_compat|g;" \
    -e "s|^RLM_INSTALL.*|RLM_INSTALL=rlm_dbm_install|g;" \
    src/modules/rlm_dbm/Makefile

%if "%{_lib}" == "lib64"
    perl -pi -e 's:sys_lib_search_path_spec=.*:sys_lib_search_path_spec="/lib64 /usr/lib64 /usr/local/lib64":' libtool
%endif

make

%install
make install R=%{buildroot}

# fix default configuration file permissions
find %{buildroot}%{_sysconfdir}/raddb -type d | xargs chmod 755
find %{buildroot}%{_sysconfdir}/raddb -type f | xargs chmod 644
chmod 640 %{buildroot}%{_sysconfdir}/raddb/clients.conf

# install headers
%__install -d -m 755 %{buildroot}%{_includedir}/%{name}
%__install -m 644 src/include/* %{buildroot}%{_includedir}/%{name}/

# install distribution scripts and stuff...
%__install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/radiusd
%__install -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/radiusd
%__install -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/radiusd
%__install -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/radiusd.service
%__install -D -m 644 %{SOURCE8} %{buildroot}%{_tmpfilesdir}/radiusd.conf

# put the mibs in place
%__install -d -m 755 %{buildroot}%{_datadir}/snmp/mibs
%__install -m 644 mibs/RADIUS* %{buildroot}%{_datadir}/snmp/mibs/

# remove rpath where needed
chrpath --delete %{buildroot}%{_libdir}/freeradius/*.so
for f in %{buildroot}/usr/sbin/*; do chrpath --delete $f || true; done
for f in %{buildroot}/usr/bin/*; do chrpath --delete $f || true; done

# update ld with freeradius libs
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/freeradius" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

# fix ghostfiles
touch %{buildroot}%{_localstatedir}/log/radius/radutmp
touch %{buildroot}%{_localstatedir}/log/radius/radwtmp
touch %{buildroot}%{_localstatedir}/log/radius/radius.log

# remove unneeded stuff
%__rm -f %{buildroot}%{_sbindir}/rc.radiusd
%__rm -f %{buildroot}%{_includedir}/%{name}/Makefile
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.crt
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.crl
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.csr
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.der
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.key
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.pem
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/*.p12
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/index.*
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/serial*
%__rm -f %{buildroot}%{_sysconfdir}/raddb/certs/passwords.mk
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/dhcp/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/mssql
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/oracle
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/ippool/mongo
%__rm -rf %{buildroot}%{_sysconfdir}/raddb/mods-config/sql/main/mongo

# do not use "find %%{buildroot} -name '*.*a' -delete" as
# it remove some dictionary files (mga#25649)
find %{buildroot}%{_libdir}/freeradius -name '*.la' -delete
find %{buildroot}%{_libdir}/freeradius -name '*.a' -delete

# include more docs
cp src/LICENSE.openssl .
cp src/lib/LICENSE LICENSE.lgpl

%multiarch_includes %{buildroot}%{_includedir}/freeradius/build-radpaths-h

%multiarch_includes %{buildroot}%{_includedir}/freeradius/radpaths.h

# cleanup
rm -rf %{buildroot}%{_docdir}/%{name}
# we do not have perl(Convert::Base32)
rm -rf %{buildroot}%{_bindir}/radsecret

%pre
%_pre_useradd radius %{_localstatedir}/log/radius/radacct /bin/false

%post
%_tmpfilescreate radiusd
%_post_service radiusd
%create_ghostfile %{_localstatedir}/log/radius/radutmp radius radius 0644
%create_ghostfile %{_localstatedir}/log/radius/radwtmp radius radius 0644
%create_ghostfile %{_localstatedir}/log/radius/radius.log radius radius 0644
%_create_ssl_certificate radiusd -g radius
%_create_ssl_certificate inner-radiusd -g radius
%_create_ssl_certificate client -g radius
if [ $1 = 1 ]; then
    openssl dhparam -out  %{_sysconfdir}/raddb/certs/dh 2048 2>&1 >/dev/null
fi

%preun
%_preun_service radiusd

%postun
%_postun_userdel radius

%files
%doc doc COPYRIGHT CREDITS README.rst
%license LICENSE LICENSE.openssl LICENSE.lgpl
%{_unitdir}/radiusd.service
%{_tmpfilesdir}/radiusd.conf
%dir %ghost %attr(0755, radius, radius) %{_rundir}/radiusd
%ghost %attr(0660, -, -) %{_rundir}/radiusd/radiusd.pid
%config(noreplace) %{_sysconfdir}/pam.d/radiusd
%config(noreplace) %{_sysconfdir}/logrotate.d/radiusd
%config(noreplace) %{_sysconfdir}/sysconfig/radiusd
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%dir %{_sysconfdir}/raddb
%{_sysconfdir}/raddb/README.rst
%config(noreplace) %{_sysconfdir}/raddb/dictionary*
%config(noreplace) %{_sysconfdir}/raddb/experimental.conf

# symlink: /etc/raddb/hints -> ./mods-config/preprocess/hints
%config(noreplace) %{_sysconfdir}/raddb/hints

# symlink: /etc/raddb/huntgroups -> ./mods-config/preprocess/huntgroups
%config(noreplace) %{_sysconfdir}/raddb/huntgroups
%config(noreplace) %{_sysconfdir}/raddb/panic.gdb
%config(noreplace) %{_sysconfdir}/raddb/proxy.conf
%config(noreplace) %{_sysconfdir}/raddb/radiusd.conf
%config(noreplace) %{_sysconfdir}/raddb/templates.conf
%config(noreplace) %{_sysconfdir}/raddb/trigger.conf
# those contains passwords
%config(noreplace) %attr(0640,root,radius) %{_sysconfdir}/raddb/clients.conf

# symlink: /etc/raddb/users -> ./mods-config/files/authorize
%config(noreplace) %{_sysconfdir}/raddb/users

#certs
%dir %{_sysconfdir}/raddb/certs
%config(noreplace) %{_sysconfdir}/raddb/certs/*

#sites
%dir %{_sysconfdir}/raddb/sites-available
%config(noreplace) %{_sysconfdir}/raddb/sites-available/*
%dir %{_sysconfdir}/raddb/sites-enabled
%config(noreplace) %{_sysconfdir}/raddb/sites-enabled/*

#mods
%dir %{_sysconfdir}/raddb/mods-available
%config(noreplace) %{_sysconfdir}/raddb/mods-available/*
%dir %{_sysconfdir}/raddb/mods-enabled
%config(noreplace) %{_sysconfdir}/raddb/mods-enabled/*

%dir %{_sysconfdir}/raddb/mods-config
%{_sysconfdir}/raddb/mods-config/README.rst

%dir %{_sysconfdir}/raddb/mods-config/attr_filter
%config(noreplace) %{_sysconfdir}/raddb/mods-config/attr_filter/*
%dir %{_sysconfdir}/raddb/mods-config/files
%config(noreplace) %{_sysconfdir}/raddb/mods-config/files/*
%dir %{_sysconfdir}/raddb/mods-config/perl
%config(noreplace) %{_sysconfdir}/raddb/mods-config/perl/*
%dir %{_sysconfdir}/raddb/mods-config/preprocess
%config(noreplace) %{_sysconfdir}/raddb/mods-config/preprocess/*
%dir %{_sysconfdir}/raddb/mods-config/realm
%attr(640,root,radiusd) %config(noreplace) %{_sysconfdir}/raddb/mods-config/realm/freeradius-naptr-to-home-server.sh

%dir %{_sysconfdir}/raddb/mods-config/python3
%config(noreplace) %{_sysconfdir}/raddb/mods-config/python3/*

%dir %{_sysconfdir}/raddb/mods-config/sql

%dir %{_sysconfdir}/raddb/mods-config/sql/counter
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/counter/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/cui
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/cui/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/dhcp/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/dhcp/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/ippool
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/ippool-dhcp/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/main
%dir %{_sysconfdir}/raddb/mods-config/sql/main/mssql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mssql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/ndb
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/ndb/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/main/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/main/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/mysql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/mysql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/postgresql
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/postgresql/*
%dir %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/sqlite
%config(noreplace) %{_sysconfdir}/raddb/mods-config/sql/moonshot-targeted-ids/sqlite/*

%dir %{_sysconfdir}/raddb/mods-config/unbound
%config(noreplace) %{_sysconfdir}/raddb/mods-config/unbound/*

%dir %{_sysconfdir}/raddb/policy.d
%config(noreplace) %{_sysconfdir}/raddb/policy.d/*

%{_bindir}/dhcpclient
%{_bindir}/map_unit
%{_bindir}/radclient
%{_bindir}/radattr
%{_bindir}/rad_counter
%{_bindir}/radcrypt
%{_bindir}/radeapclient
%{_bindir}/radlast
%{_bindir}/radsniff
%{_bindir}/radsqlrelay
%{_bindir}/radtest
%{_bindir}/radwho
%{_bindir}/radzap
%{_bindir}/rlm_ippool_tool
%{_bindir}/rlm_sqlippool_tool
%{_bindir}/smbencrypt
%{_sbindir}/checkrad
%{_sbindir}/raddebug
%{_sbindir}/radiusd
%{_sbindir}/radmin
%attr(0755,radius,radius) %dir %{_localstatedir}/log/radius
%attr(0755,radius,radius) %dir %{_localstatedir}/log/radius/radacct
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radutmp
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radwtmp
%attr(0644,radius,radius) %ghost %{_localstatedir}/log/radius/radius.log
%{_datadir}/snmp/mibs/*
%{_datadir}/freeradius/
%{_mandir}/man*/*

# loadable modules
%dir %attr(755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/proto_dhcp.so
%{_libdir}/%{name}/proto_vmps.so
%{_libdir}/%{name}/rlm_always.so
%{_libdir}/%{name}/rlm_attr_filter.so
%{_libdir}/%{name}/rlm_cache_memcached.so
%{_libdir}/%{name}/rlm_cache_rbtree.so
%{_libdir}/%{name}/rlm_cache_redis.so
%{_libdir}/%{name}/rlm_cache.so
%{_libdir}/%{name}/rlm_chap.so
%{_libdir}/%{name}/rlm_counter.so
%{_libdir}/%{name}/rlm_date.so
%{_libdir}/%{name}/rlm_detail.so
%{_libdir}/%{name}/rlm_dhcp.so
%{_libdir}/%{name}/rlm_digest.so
%{_libdir}/%{name}/rlm_dpsk.so
%{_libdir}/%{name}/rlm_dynamic_clients.so
%{_libdir}/%{name}/rlm_eap_fast.so
%{_libdir}/%{name}/rlm_eap_gtc.so
%{_libdir}/%{name}/rlm_eap_md5.so
%{_libdir}/%{name}/rlm_eap_mschapv2.so
%{_libdir}/%{name}/rlm_eap_peap.so
%{_libdir}/%{name}/rlm_eap_pwd.so
%{_libdir}/%{name}/rlm_eap_sim.so
%{_libdir}/%{name}/rlm_eap_teap.so
%{_libdir}/%{name}/rlm_eap.so
%{_libdir}/%{name}/rlm_eap_tls.so
%{_libdir}/%{name}/rlm_eap_ttls.so
%{_libdir}/%{name}/rlm_example.so
%{_libdir}/%{name}/rlm_exec.so
%{_libdir}/%{name}/rlm_expiration.so
%{_libdir}/%{name}/rlm_expr.so
%{_libdir}/%{name}/rlm_files.so
%{_libdir}/%{name}/rlm_idn.so
%{_libdir}/%{name}/rlm_ippool.so
%{_libdir}/%{name}/rlm_json.so
%{_libdir}/%{name}/rlm_linelog.so
%{_libdir}/%{name}/rlm_logintime.so
%{_libdir}/%{name}/rlm_mschap.so
%{_libdir}/%{name}/rlm_pam.so
%{_libdir}/%{name}/rlm_pap.so
%{_libdir}/%{name}/rlm_passwd.so
%{_libdir}/%{name}/rlm_perl.so
%{_libdir}/%{name}/rlm_preprocess.so
%{_libdir}/%{name}/rlm_proxy_rate_limit.so
%{_libdir}/%{name}/rlm_python3.so
%{_libdir}/%{name}/rlm_radutmp.so
%{_libdir}/%{name}/rlm_realm.so
%{_libdir}/%{name}/rlm_redis.so
%{_libdir}/%{name}/rlm_rediswho.so
%{_libdir}/%{name}/rlm_replicate.so
%{_libdir}/%{name}/rlm_rest.so
%{_libdir}/%{name}/rlm_smsotp.so
%{_libdir}/%{name}/rlm_soh.so
%{_libdir}/%{name}/rlm_sometimes.so
%{_libdir}/%{name}/rlm_sqlcounter.so
%{_libdir}/%{name}/rlm_sqlippool.so
%{_libdir}/%{name}/rlm_sql_map.so
%{_libdir}/%{name}/rlm_sql_null.so
%{_libdir}/%{name}/rlm_sql.so
%{_libdir}/%{name}/rlm_test.so
%{_libdir}/%{name}/rlm_totp.so
%{_libdir}/%{name}/rlm_unbound.so
%{_libdir}/%{name}/rlm_unix.so
%{_libdir}/%{name}/rlm_unpack.so
%{_libdir}/%{name}/rlm_utf8.so
%{_libdir}/%{name}/rlm_wimax.so

%files -n %{name}-krb5
%{_libdir}/%{name}/rlm_krb5.so

%files -n %{name}-ldap
%{_libdir}/%{name}/rlm_ldap.so

%files -n %{name}-postgresql
%{_libdir}/%{name}/rlm_sql_postgresql.so

%files -n %{name}-mysql
%{_libdir}/%{name}/rlm_sql_mysql.so

%files -n %{name}-unixODBC
%{_libdir}/%{name}/rlm_sql_unixodbc.so

%files -n %{name}-sqlite
%{_libdir}/%{name}/rlm_sql_sqlite.so

%files -n %{name}-yubikey
%{_libdir}/%{name}/rlm_yubikey.so

%files -n %{libname}
%dir %attr(755,root,root) %{_libdir}/%{name}
%{_libdir}/%{name}/libfreeradius-dhcp.so
%{_libdir}/%{name}/libfreeradius-eap.so
%{_libdir}/%{name}/libfreeradius-radius.so
%{_libdir}/%{name}/libfreeradius-server.so

%files -n %{develname}
%{multiarch_includedir}/freeradius/build-radpaths-h
%{multiarch_includedir}/freeradius/radpaths.h
%{_includedir}/%{name}/


%changelog
* Sat Apr 05 2025 daviddavid <daviddavid> 3.2.7-1.mga10
+ Revision: 2173606
- new version: 3.2.7

* Wed Mar 05 2025 daviddavid <daviddavid> 3.2.5-3.mga10
+ Revision: 2160949
- rebuild for python 3.13

* Fri Aug 23 2024 tv <tv> 3.2.5-2.mga10
+ Revision: 2089669
- Rebuild for perl-5.40

* Wed Jul 10 2024 daviddavid <daviddavid> 3.2.5-1.mga10
+ Revision: 2080479
- new version: 3.2.5

* Sat Jun 22 2024 daviddavid <daviddavid> 3.2.4-2.mga10
+ Revision: 2076152
- remove radsecret: we do not have perl(Convert::Base32)

* Wed Jun 19 2024 daviddavid <daviddavid> 3.2.4-1.mga10
+ Revision: 2075586
- new version: 3.2.4

* Tue Jun 18 2024 daviddavid <daviddavid> 3.0.26-5.mga10
+ Revision: 2074758
- fix conflicting 'rlm_ldap.so' module between freeradius-ldap and lib(64)freeradius1 (mga#33312)
- move all loadable modules to the main pkg

* Sun Mar 31 2024 daviddavid <daviddavid> 3.0.26-4.mga10
+ Revision: 2053500
- fix binaries not being correctly linked after RPATH removal (mga#33040)

* Fri Mar 29 2024 daviddavid <daviddavid> 3.0.26-3.mga10
+ Revision: 2053066
- rebuild for new hiredis 1.2.0

* Tue Dec 05 2023 daviddavid <daviddavid> 3.0.26-2.mga10
+ Revision: 2013213
- rebuild for new perl 5.38.0

* Wed Dec 28 2022 ns80 <ns80> 3.0.26-1.mga9
+ Revision: 1927342
- new version 3.0.26 for CVE-2022-41859 and CVE-2022-4186[01] (mga#31291)

* Tue Jun 07 2022 umeabot <umeabot> 3.0.25-4.mga9
+ Revision: 1863427
- Rebuild for Perl 5.36

* Sun Apr 03 2022 umeabot <umeabot> 3.0.25-3.mga9
+ Revision: 1841221
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 3.0.25-2.mga9
+ Revision: 1782916
- rlm_unbound.so tp filelist
- Rebuild for python-3.10

* Sun Oct 31 2021 luigiwalser <luigiwalser> 3.0.25-1.mga9
+ Revision: 1753456
- remove bad rpaths
- rediff patch 0
- 3.0.25
+ wally <wally>
- rebuild for openssl 3.0.0

* Thu Aug 05 2021 luigiwalser <luigiwalser> 3.0.23-1.mga9
+ Revision: 1739561
- 3.0.23

* Mon Jun 07 2021 daviddavid <daviddavid> 3.0.22-1.mga9
+ Revision: 1730104
- new version: 3.0.22, fixes new security issue (mga#29059)

* Mon May 24 2021 umeabot <umeabot> 3.0.21-4.mga9
+ Revision: 1727885
- Rebuild for perl 5.34

* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.0.21-3.mga8
+ Revision: 1650332
- rebuild for json-c

* Thu Jun 18 2020 umeabot <umeabot> 3.0.21-2.mga8
+ Revision: 1596046
- Rebuild for perl 5.32
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Apr 08 2020 daviddavid <daviddavid> 3.0.21-1.mga8
+ Revision: 1565559
- new version: 3.0.21

* Tue Feb 18 2020 umeabot <umeabot> 3.0.20-2.mga8
+ Revision: 1541333
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 24 2019 daviddavid <daviddavid> 3.0.20-1.mga8
+ Revision: 1469825
- new version: 3.0.20, fixes CVE-2019-10143 and CVE-2019-17185 (mga#25907)
- introduced new rlm_python3 module
- remove only python2 rlm_python module

* Sun Nov 03 2019 daviddavid <daviddavid> 3.0.19-3.mga8
+ Revision: 1457374
- fix for some missing dictionary files (mga#25649)

* Tue Aug 27 2019 tmb <tmb> 3.0.19-2.mga8
+ Revision: 1433976
- rebuild for perl 5.30

* Wed Apr 10 2019 daviddavid <daviddavid> 3.0.19-1.mga7
+ Revision: 1388172
- new version: 3.0.19
- rediff ssl-config patch

* Sun Sep 23 2018 umeabot <umeabot> 3.0.15-9.mga7
+ Revision: 1297777
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 3.0.15-8.mga7
+ Revision: 1248924
- Rebuild for perl 5.28

* Thu Jul 26 2018 daviddavid <daviddavid> 3.0.15-7.mga7
+ Revision: 1245392
- rebuild for new json-c 0.13.1

* Sun Jul 15 2018 wally <wally> 3.0.15-6.mga7
+ Revision: 1243778
- fix build on aarch64

* Sun Jun 17 2018 luigiwalser <luigiwalser> 3.0.15-5.mga7
+ Revision: 1237481
- rebuild for gdbm

* Fri May 11 2018 kekepower <kekepower> 3.0.15-4.mga7
+ Revision: 1228373
- Rebuild for libidn 1.35

* Sat Dec 23 2017 wally <wally> 3.0.15-3.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Wed Aug 30 2017 guillomovitch <guillomovitch> 3.0.15-2.mga7
+ Revision: 1148585
- rebuild for latest openssl

* Wed Jul 26 2017 mrambo3501 <mrambo3501> 3.0.15-1.mga7
+ Revision: 1131184
- version 3.0.15 fixes CVE-2017-1097[89] and CVE-2017-1098[0-8] #21268

* Sat Jul 22 2017 neoclust <neoclust> 3.0.14-2.mga7
+ Revision: 1126728
- Rebuild against new Perl 5.26

* Mon May 29 2017 luigiwalser <luigiwalser> 3.0.14-1.mga6
+ Revision: 1105475
- 3.0.14 (thanks to Stefan Puch)

* Wed Mar 29 2017 luigiwalser <luigiwalser> 3.0.13-1.mga6
+ Revision: 1095158
- 3.0.13

* Wed Jan 04 2017 luigiwalser <luigiwalser> 3.0.12-1.mga6
+ Revision: 1080037
- 3.0.12 (thanks to Stefan Puch)

* Wed Mar 02 2016 umeabot <umeabot> 3.0.11-2.mga6
+ Revision: 983399
- Rebuild for openssl

* Sun Feb 28 2016 oden <oden> 3.0.11-1.mga6
+ Revision: 980471
- fix build
- pam 0.77 was a long time ago...
- rediffed P0
- 3.0.11

* Thu Dec 24 2015 luigiwalser <luigiwalser> 3.0.10-1.mga6
+ Revision: 914337
- Upgrade to new upstream major version release 3.0.10 (Stefan Puch, mga#16176)
- https://github.com/FreeRADIUS/freeradius-server/blob/v3.0.x/raddb/README.rst
- yubikey-module now included upstream
- drop patches only needed for freeradius 2.x
- rediff patch 0 (ssl-config)

* Fri Sep 04 2015 luigiwalser <luigiwalser> 2.2.8-2.mga6
+ Revision: 872751
- use logrotate config from fedora to fix not sending HUP to freeradius (mga#16692)

* Thu Jul 09 2015 luigiwalser <luigiwalser> 2.2.8-1.mga6
+ Revision: 853159
- 2.2.8 (fixes CVE-2015-4680)
- remove patches 2 and 13 (fixed upstream)
- rediff patches 0, 6, 7, and 10

* Sat Jun 27 2015 tv <tv> 2.2.3-7.mga6
+ Revision: 846059
- rebuild for soname-ifed perl

* Wed Jan 21 2015 luigiwalser <luigiwalser> 2.2.3-6.mga5
+ Revision: 811704
- handle tmpfiles correctly (mga#15099)

* Tue Nov 25 2014 cjw <cjw> 2.2.3-5.mga5
+ Revision: 799120
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-4.mga5
+ Revision: 741250
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.2.3-3.mga5
+ Revision: 733986
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.3-2.mga5
+ Revision: 679348
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Feb 18 2014 oden <oden> 2.2.3-1.mga5
+ Revision: 594322
- 2.2.3
- rediff patches
- P13: format string fix

* Sat Oct 19 2013 umeabot <umeabot> 2.2.0-5.mga4
+ Revision: 534228
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 2.2.0-4.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-4.mga3
+ Revision: 350928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.2.0-3.mga3
+ Revision: 314300
- completely disable ruby module, as it does not build
- fix dir
- real fix for ruby.h
- more patch
- more updated patch
- recognize ruby1.9 incdir
- rebuild for new ruby

* Wed Oct 03 2012 oden <oden> 2.2.0-2.mga3
+ Revision: 302360
- added yubikey support

* Tue Sep 11 2012 oden <oden> 2.2.0-1.mga3
+ Revision: 292181
- 2.2.0

* Fri Aug 24 2012 guillomovitch <guillomovitch> 2.1.12-10.mga3
+ Revision: 283662
- make webapp configuration file compliant with apache 2.4

* Thu Aug 23 2012 guillomovitch <guillomovitch> 2.1.12-9.mga3
+ Revision: 283371
- use /run/radiusd instead of /var/run/radiusd
- convert to tmpfs
- drop sysinit support

* Tue May 08 2012 pterjan <pterjan> 2.1.12-8.mga2
+ Revision: 234925
- Fix License tag
- Fix initscript's LSB header

* Sat Apr 28 2012 tmb <tmb> 2.1.12-7.mga2
+ Revision: 233698
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Mar 13 2012 guillomovitch <guillomovitch> 2.1.12-6.mga2
+ Revision: 223238
- systemd support

* Thu Dec 08 2011 fwang <fwang> 2.1.12-5.mga2
+ Revision: 178869
- rebuild for new odbc

* Mon Dec 05 2011 fwang <fwang> 2.1.12-4.mga2
+ Revision: 176939
- rebuild for new gdbm

* Mon Dec 05 2011 fwang <fwang> 2.1.12-3.mga2
+ Revision: 176831
- remove those static libs
- remove all .la files
- drop .la files

* Tue Nov 01 2011 nanardon <nanardon> 2.1.12-1.mga2
+ Revision: 160914
- imported package freeradius


* Sat Jun 25 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.11-1mdv2011.0
+ Revision: 687125
- new version

* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 2.1.10-6
+ Revision: 661954
- fix building

  + Oden Eriksson <oeriksson@mandriva.com>
    - multiarch fixes

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-5
+ Revision: 645745
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-4mdv2011.0
+ Revision: 627018
- rebuilt against mysql-5.5.8 libs, again

* Wed Dec 29 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-3mdv2011.0
+ Revision: 625969
- fix build, %%make works fine locally with 8 cores but not in the bs
- fix deps
- major overhaul
- rebuilt against mysql-5.5.8 libs

  + Funda Wang <fwang@mandriva.org>
    - rebuild for py2.7

* Fri Oct 01 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-1mdv2011.0
+ Revision: 582364
- 2.1.10

* Mon Jul 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 554949
- new version

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 2.1.8-6mdv2010.1
+ Revision: 533319
- rebuild

* Mon Mar 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-5mdv2010.1
+ Revision: 513129
- fix installation dependencies

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.8-4mdv2010.1
+ Revision: 511567
- rebuilt against openssl-0.9.8m

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.8-3mdv2010.1
+ Revision: 507458
- rebuild

* Tue Feb 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-2mdv2010.1
+ Revision: 506695
- change default permissions for configuration files, only restrict those containing passwords

* Tue Jan 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-1mdv2010.1
+ Revision: 490250
- new version

* Sat Jan 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-4mdv2010.1
+ Revision: 488013
- no need to explicit calls to %%_post_webapp/%%_postun_webapp, we have filetriggers now
- don't forget to apply patch...

* Sat Jan 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-3mdv2010.1
+ Revision: 487978
- fix scripts shipped in freeradius-web package (bud #56866)

* Fri Oct 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-2mdv2010.0
+ Revision: 456255
- move crontab in scripts, and install them in /etc/cron/{daily,monthly} (#46739)

* Sun Sep 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-1mdv2010.0
+ Revision: 445976
- new version
- spec cleanup
- install web files under %%{_datadir}/freeradius-web
- fix initscript LSB dependency

* Thu Jun 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-1mdv2010.0
+ Revision: 385293
- new version

* Tue Mar 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 356678
- rediff fuzzy patch
- force system libtool usage
- new version
- fix perms on some config files

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 2.1.3-3mdv2009.1
+ Revision: 319937
- rebuild for new python

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-2mdv2009.1
+ Revision: 315153
- bump release
- rediffed fuzzy patches

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-1mdv2009.1
+ Revision: 311824
- 2.1.3 (fixes CVE-2008-4474)
- rediffed P10

* Mon Dec 08 2008 Funda Wang <fwang@mandriva.org> 2.1.1-3mdv2009.1
+ Revision: 311797
- rebuild for new mysql

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2009.1
+ Revision: 298254
- rebuilt against libpcap-1.0.0

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-1mdv2009.1
+ Revision: 293908
- fix build
- 2.1.1

* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2009.0
+ Revision: 282138
- bump release
- fix deps
- provide dialup_admin as the freeradius-web subpackage

* Fri Sep 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2009.0
+ Revision: 281123
- 2.1.0
- rediffed P0

* Tue Aug 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.5-1mdv2009.0
+ Revision: 273882
- 2.0.5
- use _disable_ld_no_undefined due to ugly autopoo
- rediffed P0
- fix some linking (P10)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

* Wed Apr 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2009.0
+ Revision: 199400
- new version
  clean file section

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-8mdv2009.0
+ Revision: 196536
- fix cert file names in configuration

* Thu Apr 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-7mdv2009.0
+ Revision: 192550
- don't hardcode options in the init script, it breaks

* Mon Mar 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-6mdv2008.1
+ Revision: 189765
- fix dependencies from krb5 plugin

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-5mdv2008.1
+ Revision: 168812
- rebuild with fixed version of rpm-helper

* Wed Feb 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-4mdv2008.1
+ Revision: 166947
- add versioned build dependency on rpm-helper
- fix %%post

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-3mdv2008.1
+ Revision: 158717
- use new create ssl certificate helper macro interface

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-2mdv2008.1
+ Revision: 157250
- rebuild with fixed %%serverbuild macro

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 154222
- spec cleanup
- plugins package renaming, as they are not concerned by lib policy naming
- devel policy compliance
- library package doesn't need main package, but devel package requires library package
- new version
  rediff patches 0, 6 and 8
  drop useless patch 5
  post-installation ssl configuration, according to ssl policy

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.1.7-3mdv2008.1
+ Revision: 150082
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.7-2mdv2008.0
+ Revision: 89646
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.7-1mdv2008.0
+ Revision: 64984
- rewrite init script
- revert wrong previous commiy
- fix automatic perl dependency
- new version

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.6-2mdv2008.0
+ Revision: 45543
- rebuild with new serverbuild macro (-fstack-protector-all)

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.6-1mdv2008.0
+ Revision: 32081
- updated to version 1.1.6
- removed enormous libtool patch
- removed security patch that was already applied

* Thu Apr 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-6mdv2008.0
+ Revision: 14940
- P10: security fix for CVE-2007-2028


* Mon Jan 15 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.2-5mdv2007.0
+ Revision: 109065
- fixed rpm group for library and devel package (#28162)

* Fri Jan 05 2007 Andreas Hasenack <andreas@mandriva.com> 1.1.2-4mdv2007.1
+ Revision: 104506
- rebuild with python 2.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup
    - bunzip sources
    - Import freeradius

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Thu Jun 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2007.0
- 1.2.2
- rediffed P5,P6
- dropped upstream patches; P9,P10,P11
- added libtool fixes (P3, by debian)
- re-added the dl patch (P9, by fedora)
- make it backportable for older pam (S2,S3)

* Wed Mar 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdk
- added P11 to fix CVE-2006-1354

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdk
- fix one packaging bug introduced in 1.0.0-pre3.4mdk
- fix deps

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdk
- 1.1.0
- droped upstream/obsolete patches; P7, P10
- fix deps
- added P10 from http://bugs.freeradius.org/show_bug.cgi?id=312

* Fri Jan 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdk
- rebuilt due to package loss

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdk
- 1.0.5
- sync with fedora; P8,P9,P10 (1.0.4-5)
- drop redundant patches; P3
- rediffed patches; P5,P6
- use bundled libtool, otherwise it won't build

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Mon Jun 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdk
- 1.0.4
- fix deps

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.2-4mdk
- Rebuild for libkrb53-devel 1.4.1
- clean build dir paths from libtool files

* Sat May 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0.2-3mdk
- rebuild for new perl

* Mon Apr 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdk
- fix build on x86_64
- rediff P3,P6

* Sat Apr 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- use the %%mkrel macro
- misc rpmlint fixes

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-6mdk
- fix deps and conditional %%multiarch

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-5mdk
- rebuilt against MySQL-4.1.x system libs

* Tue Dec 07 2004 Michael Scherer <misc@mandrake.org> 1.0.0-4mdk
- Rebuild for new python

* Thu Sep 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.0.0-3mdk
- add obsolete/provide to new libpackages

* Thu Sep 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.0-2mdk
- fix build

* Fri Aug 20 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Mon Aug 02 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.0.0-pre3.4mdk
- new release
- package libification

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.3-8mdk
- fix the %%vendor and %%distribution string

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.3-7mdk
- fix changelog and some rpmlint errors

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.3-6mdk
- added P6 because that's what it's really asking for... (fix #6797 ?)

* Sat Apr 03 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-5mdk
- remove dirty tricks with rlm_ldap, fixed on openldap package
- incerease rpm build - problem with previous error in changelog

* Sun Feb 22 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-2mdk
- updated to 0.9.3
- freeradius requires openldap2-devel/libs and sasl2-devel/libs
- some macroszification in configure stage
- remove duplicate --with-system-libtool from configure macro
- remove --enable-developer from configure macro, we are users :)
- added dirty trick to allow build rlm_ldap; somewhere is problem caused that
  libtool only here can't find liblber.la and libsasl2.la
- /var/log/radius as --with-logdir
- some cleanup

* Fri Jan 30 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.9.3-1mdk
- fixed freeradius-mysql and freeradius-unixODBC packages to really include so
  library not only symlink

